%define major_version 10
%define minor_version 6.0
%define dist          .el7dsrv
%define relnum        1

# only have localization for en right now
%global consolelang en

Name: redhat-idm-console
Version: %{major_version}.%{minor_version}
Release: %{relnum}%{?dist}
Summary: Red Hat Management Console

Group: Applications/System
License: GPLv3
URL: http://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: %{name}-%{version}.tar.bz2
Requires: 389-console
BuildRequires: java-devel >= 1.8.0
BuildRequires: 389-console

%description
A Java based remote management console used for Managing Red Hat
Administration Server and Red Hat Directory Server.

%prep
%setup -q
                                                                                
%build
mkdir built
cp -p %{_javadir}/389-console_%{consolelang}.jar built/%{name}-%{version}_%{consolelang}.jar
%{jar} uvf built/%{name}-%{version}_%{consolelang}.jar `find com \( -name \*.gif -o -name \*.properties \)`
                                                                                
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/java
cat > $RPM_BUILD_ROOT%{_sysconfdir}/java/redhat-389-console.conf <<EOF
mylang=\${mylang:-%{consolelang}}
ADDITIONAL_JARS=\${ADDITIONAL_JARS:-%{name}_\$mylang.jar}
ADDITIONAL_OPTIONS=\${ADDITIONAL_OPTIONS:-"-Dprogram.name=%{name} -Djava.util.prefs.systemRoot=\$HOME/.%{name} -Djava.util.prefs.userRoot=\$HOME/.%{name}"}
EOF
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/java/redhat-389-console.conf

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}_%{consolelang}.jar %{name}-%{major_version}_%{consolelang}.jar
ln -s %{name}-%{version}_%{consolelang}.jar %{name}_%{consolelang}.jar
popd
install -d $RPM_BUILD_ROOT%{_bindir}
# create symlink to the 389-console shell script
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s 389-console %{name}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_mandir}/man8/389-console.8 ] ; then
  ln -s %{_mandir}/man8/389-console.8 %{_mandir}/man8/%{name}.8
fi

%files
%{_javadir}/%{name}-%{version}_%{consolelang}.jar
%{_javadir}/%{name}-%{major_version}_%{consolelang}.jar
%{_javadir}/%{name}_%{consolelang}.jar
%{_bindir}/%{name}
%{_sysconfdir}/java/redhat-389-console.conf

%changelog
* Fri May 15 2020 Mark Reynolds <mreynolds@redhat.com> - 10.6.0-1
- Release 10.6.0-1

* Tue Oct 8 2019 Mark Reynolds <mreynolds@redhat.com> - 10.5.0-2
- Fix license tag

* Tue Oct 8 2019 Mark Reynolds <mreynolds@redhat.com> - 10.5.0-1
- Release 10.5.0-1

* Tue May 28 2019 Mark Reynolds <mreynolds@redhat.com> - 10.4.0-2
- Release 10.4.0-2

* Fri May 24 2019 Mark Reynolds <mreynolds@redhat.com> - 10.4.0-1
- Release 10.4.0-1

* Wed Aug 1 2018 Mark Reynolds <mreynolds@redhat.com> - 10.3.0-1
- Release 10.3.0-1

* Fri Dec 8 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-2
- Release 10.2.0-2

* Mon Nov 20 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-1
- Release 10.2.0

* Thu Nov 10 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-3
- Release 10.1.0
- Rebuilt to add i686 package.

* Sun Oct  9 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-2 
- Release 10.1.0
- Rebuilt with tag dsrv-10.1-rhel-7-candidate

* Fri Sep  2 2016 Noriko Hosoi <nhosoi@redhat.com> 10.1.0-1
- bump version to 10.1.0
- Resolves #Bug 1304594 - Console -- Update Java dependency to 1.8

* Thu Sep 24 2015 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-6
- Resolves #1229424 - Windows console can't be updated, only uninstalled/installed from zero; Updated PKGGUID and OLDGUID to upgrade from 9.1.1 to 10.0.0.

* Fri Jun 26 2015 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-5
- Resolves #1229425 - Windows console icon disappears after install

* Wed Jun 24 2015 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-4
- Resolves #1229424 - Windows console can't be updated, only uninstalled/installed from zero 

* Thu May 28 2015 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-3
- Resolves #1225800 - Link is incorrect for Documentation Home in Help

* Fri Apr  3 2015 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-2
- Resolves #531870 - 389-console should provide usage options, help, and man pages (DS 97)

* Mon Dec 22 2014 Noriko Hosoi <nhosoi@redhat.com> 10.0.0-1
- bump version to 10.0.0

* Tue Aug 26 2014 Mark Reynolds <mreynolds@redhat.com> - 9.1.0-3
- Add symlink for 389-console.8 man page to redhat-idm-console.8

* Mon Oct 28 2013 Kevin Wright <kwright@redhat.com> - 9.1.0-2.el7dsrv
- adding el7dsrv dist

* Tue Jan 29 2013 Noriko Hosoi <nhosoi@redhat.com> 9.1.0-1
- bump version to 9.1.0

* Wed Jun 15 2011 Rich Megginson <rmeggins@redhat.com> 9.0.0-1
- redesign package to be a "skins" package for 389-console

* Mon Apr  5 2010 Rich Megginson <rmeggins@redhat.com> 1.0.2-1
- version changed to 1.0.2

* Thu Apr  9 2009 Rich Megginson <rmeggins@redhat.com> 1.0.1-1
- changed version to fix rpmdiff error - version changed to 1.0.1
- to make it consistent with other idm console releases

* Thu Apr  9 2009 Rich Megginson <rmeggins@redhat.com> 8.1.0-1
- changed version to fix rpmdiff error - version changed to 8.1.0
- to make it consistent with other DS packages

* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> 1.0.0-20
- Updated URL and updated sources for bugfixes.

* Mon Feb  9 2009 Rich Megginson <rmeggins@redhat.com> 1.0.0-19
- rebuild to pick up recent fixes

* Tue Jan  6 2009 Rich Megginson <rmeggins@redhat.com> 1.0.0-18
- use java-devel >= 1:1.6.0 to force building with new java 1.6

* Thu Mar  6 2008 Rich Megginson <rmeggins@redhat.com> 1.0.0-17.el5idm
- Resolves: bug 436101
- Description: redhat-idm-console shell script is world writable
- Fix Description: Install with mode -m755 instead of -m777
- I also fixed up some other issues reported by rpmlint

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-16.el5idm
- Moved doc home link into theme jar.

* Fri Nov  2 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-15.el5idm
- Added LD_LIBRARY_PATH to start script.

* Wed Oct 31 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-14.el5idm
- Updated sources.

* Thu Oct 25 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-13.el5idm
- Removed noarch to ensure we find the 64-bit library. 

* Wed Oct 17 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-12.el5idm
- Updated sources to pickup new console start script.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 1.0.0-11.el5idm
- Update with latest JSS build using 1.4.2.
- Update defattr reference.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-9.el5idm
- Updated sources.

* Wed Aug 15 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-8.el5idm
- Added back noarch now that jss package uses an arch independent
  jarfile location.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-7.el5idm
- Removed noarch from package to ensure the proper libdir is used.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-6.el5idm
- Changed requirement for console framework as well as some
  specfile changes raised from a package audit.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-5.el5idm
- Use proper paths in IDM RH4 for jss, ldapjdk.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-4.el5idm
- Use dirsec-jss for IDM RH4.

* Mon Jul 30 2007 Margaret Lum <mlum@redhat.com> 1.0.0-3.el5idm
- Use disttag for IDM RH4.

* Fri Jul 27 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-2
- Modified package name to be less generic.

* Thu Jul 26 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-1
- Initial creation
